Update a product

Updates an existing product by referenceId. Omitted properties retain their values. Merchant updates cannot set Extend-managed fields. Requires one of stores:products:update, stores:products:full, for the store account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Store owned by the account in the access token.

string
required

Product referenceId. URL-encode the value as one path segment.

Body Params
string

The Product Brand, Manufacturer or Vendor.

string

Product category. Can be any value and may be used by Extend to map the product to warranty plans.

subCategories
array

An array of additional product categories.

subCategories
string
length ≤ 2000

The product description.

boolean
string
itemDimensions
object
itemWeight
object
string
enum
Allowed:
string

A url pointing to the primary image for the product.

price
object
string
length between 1 and 255

Product name.

reimbursementAmount
object
identifiers
object
mfrWarranty
object

Optional manufacturer warranty details used for warranty matching.

boolean

Whether the item is physically shipped. Defaults to true. Digital goods and services are ineligible for shipping protection.

settings
object
alternateLanguages
object
unitCost
object
string

Accepted for compatibility, but ignored in merchant requests.

plans
array of strings

Accepted for compatibility, but ignored in merchant requests.

plans
string
enum

Accepted for compatibility, but ignored in merchant requests.

Allowed:
boolean

Accepted for compatibility, but ignored in merchant requests.

overrides
object

Accepted for compatibility, but ignored in merchant requests.

string

Accepted for compatibility, but ignored in merchant requests.

string

Accepted for compatibility, but ignored in merchant requests.

boolean

Accepted for compatibility, but ignored in merchant requests.

number

Accepted for compatibility, but ignored in merchant requests.

string | null
enum

Accepted for compatibility, but ignored in merchant requests.

Allowed:
string | null

Accepted for compatibility, but ignored in merchant requests.

string | null

Accepted for compatibility, but ignored in merchant requests.

boolean | null

Accepted for compatibility, but ignored in merchant requests.

Responses

503

Upstream dependency unavailable; retry later.

529

Product upload throttled; retry later.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json